## yaboot 0.9

=== Makefile ===
ROOT=
PREFIX=usr/local
MANDIR=man

all:

install:
	install -d -o root -g root -m 0755 ${ROOT}/etc/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/sbin/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/lib
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/lib/yaboot
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/${MANDIR}/man5/
	install -d -o root -g root -m 0755 ${ROOT}/${PREFIX}/${MANDIR}/man8/
	install -o root -g root -m 0644 yaboot ${ROOT}/${PREFIX}/lib/yaboot/yaboot
	install -o root -g root -m 0644 ofboot ${ROOT}/${PREFIX}/lib/yaboot/ofboot
	install -o root -g root -m 0755 ofpath ${ROOT}/${PREFIX}/sbin/ofpath
	install -o root -g root -m 0755 ybin ${ROOT}/${PREFIX}/sbin/ybin
	rm -f ${ROOT}/${PREFIX}/sbin/mkofboot
	ln -s ybin ${ROOT}/${PREFIX}/sbin/mkofboot
	@gzip -9 man/*
	install -o root -g root -m 0644 man/bootstrap.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/bootstrap.8.gz
	install -o root -g root -m 0644 man/mkofboot.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/mkofboot.8.gz
	install -o root -g root -m 0644 man/ofpath.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/ofpath.8.gz
	install -o root -g root -m 0644 man/yaboot.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/yaboot.8.gz
	install -o root -g root -m 0644 man/ybin.8.gz ${ROOT}/${PREFIX}/${MANDIR}/man8/ybin.8.gz
	install -o root -g root -m 0644 man/yaboot.conf.5.gz ${ROOT}/${PREFIX}/${MANDIR}/man5/yaboot.conf.5.gz
	@gunzip man/*
	@if [ ! -e ${ROOT}/etc/yaboot.conf ] ; then install -o root -g root -m 0644 yaboot.conf ${ROOT}/etc/yaboot.conf ; fi 
	@if [ -f ${ROOT}/boot/yaboot ] ; then ln -sf ${ROOT}/${PREFIX}/lib/yaboot/yaboot ${ROOT}/boot/yaboot ; fi
	@if [ ! -L ${ROOT}/boot/ofboot.b -a -f ${ROOT}/boot/ofboot.b ] ; then mv ${ROOT}/boot/ofboot.b ${ROOT}/boot/ofboot.b.preserved ; ln -s ${ROOT}/${PREFIX}/lib/yaboot/ofboot ${ROOT}/boot/ofboot.b ; fi
	@echo
	@echo "Installation successful."
	@echo
	@if [ -L ${ROOT}/boot/yaboot ] ; then echo "Existing ${ROOT}/boot/ofboot.b and ${ROOT}/boot/yaboot has been replaced by symlinks to files in ${ROOT}/${PREFIX}/lib/yaboot/." ; fi
	@if [ -f /sbin/ybin -o -f /sbin/mkofboot ] ; then echo "Warning you appear to have a copy of ybin or mkofboot in /sbin, please remove it." ; fi
	@if [ ${PREFIX} = usr/local -a -f /usr/sbin/ybin ] ; then echo "Warning you appear to have a packaged version of ybin installed, please check your PATH variable or else remove the packaged version to avoid conflicts." ; fi

deinstall:
	rm -f ${ROOT}/${PREFIX}/sbin/ofpath
	rm -f ${ROOT}/${PREFIX}/sbin/ybin
	rm -f ${ROOT}/${PREFIX}/sbin/mkofboot
	rm -f ${ROOT}/${PREFIX}/lib/yaboot/yaboot
	rm -f ${ROOT}/${PREFIX}/lib/yaboot/ofboot
	@rmdir ${ROOT}/${PREFIX}/lib/yaboot || true
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/bootstrap.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/mkofboot.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/ofpath.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/yaboot.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man8/ybin.8.gz
	rm -f ${ROOT}/${PREFIX}/${MANDIR}/man5/yaboot.conf.5.gz
	@if [ -L ${ROOT}/boot/yaboot -a ! -e ${ROOT}/boot/yaboot ] ; then rm -f ${ROOT}/boot/yaboot ; fi
	@if [ -L ${ROOT}/boot/ofboot.b -a ! -e ${ROOT}/boot/ofboot.b ] ; then rm -f ${ROOT}/boot/ofboot.b ; fi
	@echo
	@echo "Deinstall successful."
	@echo "${ROOT}/etc/yaboot.conf has not been removed, you may remove it yourself if you wish."

uninstall: deinstall
