## yaboot 1.3.16

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include Config
 
-VERSION = 1.3.13
+VERSION = 1.3.16
 # Debug mode (spam/verbose)
 DEBUG = 0
 # make install vars
@@ -20,18 +20,23 @@
 # Malloc block at 3Mb -> 4Mb
 MALLOCADDR	= 0x300000
 MALLOCSIZE	= 0x100000
-# Load kernel at 20Mb and ramdisk just after
-KERNELADDR	= 0x01400000
+# Load kernel and ramdisk at real-base.  If there is overlap, will retry until find open space
+KERNELADDR	= 0x00C00000
 
 # Set this to the prefix of your cross-compiler, if you have one.
 # Else leave it empty.
 #
-CROSS = 
+CROSS =
+
+CC		:= $(CROSS)gcc
+LD		:= $(CROSS)ld
+AS		:= $(CROSS)as
+OBJCOPY		:= $(CROSS)objcopy
 
 # The flags for the yaboot binary.
 #
-YBCFLAGS = -Os $(CFLAGS) -nostdinc -Wall -isystem `gcc -print-file-name=include` -fsigned-char
-YBCFLAGS += -DVERSION=\"${VERSION}\"	#"
+YBCFLAGS = -Os $(CFLAGS) -nostdinc -Wall -isystem `$(CC) -m32 -print-file-name=include` -fsigned-char
+YBCFLAGS += -DVERSION=\"${VERSION}${VERSIONEXTRA}\"	#"
 YBCFLAGS += -DTEXTADDR=$(TEXTADDR) -DDEBUG=$(DEBUG)
 YBCFLAGS += -DMALLOCADDR=$(MALLOCADDR) -DMALLOCSIZE=$(MALLOCSIZE)
 YBCFLAGS += -DKERNELADDR=$(KERNELADDR)
@@ -59,11 +64,11 @@
 
 # Link flags
 #
-LFLAGS = -Ttext $(TEXTADDR) -Bstatic 
+LFLAGS = -Ttext $(TEXTADDR) -Bstatic -melf32ppclinux
 
 # Libraries
 #
-LLIBS = lib/libext2fs.a
+LLIBS = -lext2fs
 
 # For compiling userland utils
 #
@@ -94,12 +99,7 @@
 endif
 
 # compilation
-CC		:= $(CROSS)gcc
-LD		:= $(CROSS)ld
-AS		:= $(CROSS)as
-OBJCOPY		:= $(CROSS)objcopy
-
-lgcc = `$(CC) -print-libgcc-file-name`
+lgcc = `$(CC) -m32 -print-libgcc-file-name`
 
 all: yaboot addnote mkofboot
