=== debian/changelog ===
yaboot (1.3.16-4ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu branding
    - Add ppc64 to architecture list
    - Add Cell support
  * cell-support.patch: Refreshed

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 13 Sep 2011 19:49:35 +1000

yaboot (1.3.16-4) unstable; urgency=low

  * ydl-powerstation.patch: Support YDL PowerStation. (Closes: #603894)

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sun, 28 Aug 2011 00:47:49 -0400

yaboot (1.3.16-3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu branding
    - Add ppc64 to architecture list
    - Add Cell support

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 19 Aug 2011 12:58:37 +1000

yaboot (1.3.16-3) unstable; urgency=low

  * Use debhelper 7.
  * Add debian/watch.
  * Kill lintian warnings:
    - replace "dh_clean -k" with dh_prep.
    - Add build-arch and build-indep to debian/rules
  * Bump Standards-Version to 3.9.2.
  * Source package format 3 (quilt).
  * Remove Sven Luther from Uploaders, thanks for your work.
  * e2fs-posix-memalign.patch: Provide posix_memalign required by e2fslibs 
    since version 1.41.13.
  * e2fs-missing-libc.patch: Missing libc functions required by e2fslibs.
  * no-proc-scsi.patch: Update. Add support for pata-macio (#608384).
  * no-unix-block-names.patch: Update. Allow openfirmware aliases (#615602).

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sat, 06 Aug 2011 13:17:49 -0400

yaboot (1.3.16-2ubuntu2) natty; urgency=low

  * debian/patches/e2fs-progs-build-fix.patch: Patch taken from the
    yaboot-devel mailing list to properly build against recent versions
    of e2fsprogs (LP: #745358)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 31 Mar 2011 09:06:14 +1100

yaboot (1.3.16-2ubuntu1) natty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu branding
    - Add ppc64 to architecture list
    - Add Cell support
  * Move Ubuntu branding and cell support to quilt patches

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 23 Feb 2011 19:27:47 +1100

yaboot (1.3.16-2) unstable; urgency=low

  * New upstream release closes: #473725.
  * Add some Ubuntu changes as Debian quilt patches.
    + Build with -fno-stack-protector.
    + Distro branding in first-stage bootstrap.
  * Add Milan Kupcevic's patches from 1.3.13a-1squeeze1.
    + Support sysfs in ofpath
      (Closes: #572869, #377097, #342833, #289201).
    + Support persistent device naming symlinks, UUID, and LABEL tags
      (Closes: #580455).
    + Update debian/copyright with copyright notice from ofpath.
  * Refresh all Debian quilt patches.

 -- Aurélien GÉRÔME <ag@debian.org>  Sun, 12 Dec 2010 00:00:00 +0100

yaboot (1.3.16-1) unstable; urgency=high

  * Long due update with new upstream release
    merging the following Debian patches.
    + RAID partitions support (#233810).
    + Amiga partitions support (#267812).
    + G5 second SATA harddisk support (#294081): actually better patch.
    + Firewire harddisk support (#288008).
    + FTBS in strstr.c (#322539): actually better patch.
    + Pegasos support (#299686).
    + Build system fix (#377839).
    + Check removal for broken-by-BootX device-tree (#321962).
    + Manpage fixes.
  * Upstream release closes the following bugs.
    + Yaboot does not allow TFTP transfers above 6MiB (Closes: #461310).
  * Add quilt support with the following Debian broken-out patches
    (the only ones remaining from the monolithic Debian diff).
    + XFS support (#375680).
    + New FSF address in COPYING file.
  * Bump Standards-Version to 3.9.1 in debian/control.
  * Add ${misc:Depends} to the Depends field of yaboot in
    debian/control.
  * Set debian/compat to 5 and accordingly for debhelper in the
    Build-Depends field in debian/control.
  * Create debian/README.source.

 -- Aurélien GÉRÔME <ag@debian.org>  Wed, 01 Dec 2010 18:00:00 +0100

yaboot (1.3.13a-1ubuntu6) natty; urgency=low

  * Add ppc64 to architecture list.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 16 Feb 2011 05:46:19 -0700

yaboot (1.3.13a-1ubuntu5) intrepid; urgency=low

  * Patch from Peter Cros to fix various booting issues on some G5 machines
    with SATA. (LP: #122607)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 14 Oct 2008 09:05:41 +1100

yaboot (1.3.13a-1ubuntu4) gutsy; urgency=low

  * ybin/ybin, ybin/ofpath: Add Cell support.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Sep 2007 15:21:02 +0100

yaboot (1.3.13a-1ubuntu3) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2007 12:58:41 +0000

yaboot (1.3.13a-1ubuntu2) edgy; urgency=low

  * Build with -fno-stack-protector.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jul 2006 10:12:13 +0100

yaboot (1.3.13a-1ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jul 2006 17:27:36 +0100

yaboot (1.3.13a-1squeeze1) testing-proposed-updates; urgency=low

  * Team upload.
  * Get scsi, sata, and firewire drive info from sysfs as legacy /proc/scsi
    interface does not exist anymore.
    (Closes: #572869, #377097, #342833, #289201)
  * Use persistent device naming symlinks, UUID and LABEL tags instead of
    unix block device names. (Closes: #580455)
  * debian/copyright: Add copyright notice from ofpath.

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sun, 05 Dec 2010 10:34:50 -0500

yaboot (1.3.13a-1) unstable; urgency=high

  * Convert debian/control from ISO_8859-15 to UTF-8.
  * Change the orig.tar.gz to use
  <ftp://debootloaders.alioth.debian.org/pub/debootloaders/yaboot/yaboot_1.3.13a.orig.tar.gz>
  which is a cleaned up version of
  <http://penguinppc.org/bootloaders/yaboot/yaboot-1.3.13.tar.gz>
  instead of
  <http://penguinppc.org/bootloaders/yaboot/yaboot-1.3.13-debian.tar.gz>
  which included external source and binary.
  This is the final touch for #377839.

