=== debian/watch ===
version=3
http://yaboot.ozlabs.org/releases/yaboot-(.+)\.tar\.gz
