## yaboot 1.3.17

=== debian/changelog ===
yaboot (1.3.17-4) unstable; urgency=medium

  * Cross build using 32-bit e2fslibs1.41-dev on ppc64 as foreign arch is 
    not enabled on porter buildd. (Closes: #322540).

 -- Milan Kupcevic <milan@debian.org>  Tue, 07 Jun 2016 02:27:26 -0400

yaboot (1.3.17-3) unstable; urgency=medium

  * Cross build against e2fslibs1.41-dev:powerpc
  * Bump Standards-Version to 3.9.8.

 -- Milan Kupcevic <milan@debian.org>  Mon, 06 Jun 2016 00:00:56 -0400

yaboot (1.3.17-2) unstable; urgency=medium

  * Also probe for other filesystems. (Closes: #819549)

 -- Milan Kupcevic <milan@debian.org>  Sun, 03 Apr 2016 14:07:27 -0400

yaboot (1.3.17-1) unstable; urgency=medium

  * New upstream release (Closes: #774845).
    + Support ppc64 architecture (Closes: #322540).
    + Load kernel and ramdisk at a lowest possible address (Closes: #719479).
    + Support iscsi and pSeries (Closes: #641852).
    + Increase tftp buffer size.
  * Correct ofpath discovery on newer kernels (Closes: #784387).
  * Build-depend on e2fslibs1.41 (Closes: #792084).
  * Support Cell platform.
  * Use debhelper 9.
  * Bump Standards-Version to 3.9.6.
  * Correct a typo in yaboot.

 -- Milan Kupcevic <milan@debian.org>  Sat, 30 Jan 2016 19:36:14 -0500
