=== debian/control ===
Source: yaboot
Section: admin
Priority: important
Maintainer: Debootloaders Yaboot Maintainers Team <debootloaders-yaboot@lists.alioth.debian.org>
Uploaders: Aurélien GÉRÔME <ag@debian.org>, Milan Kupcevic <milan@debian.org>
Build-Depends: debhelper (>= 9), e2fslibs1.41-dev (>= 1.41.14-2), gcc-multilib [ppc64]
Standards-Version: 3.9.8
Homepage: http://yaboot.ozlabs.org

Package: yaboot
Architecture: powerpc ppc64
Recommends: hfsutils, powerpc-utils (>= 1.1.3-2)
Replaces: quik
Breaks: quik (<< 2.0e-0.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another Bootloader
 This package contains 'yaboot', the bootloader of choice on the
 NewWorld line of Power Macintosh computers and on IBM CHRP computers.
 It supports loading a kernel from several different filesystems,
 including ext2, ext3, xfs, and reiserfs, as well as separate
 ramdisks and dual-booting.
 .
 This package includes the installer tools ybin and mkofboot, and a
 yabootconfig program for generating a simple /etc/yaboot.conf file.
