=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND=-fgnu89-inline
 
 STAMP_DIR := debian/stamps
 
@@ -30,7 +32,6 @@
 clean: man-clean
 	$(MAKE) clean
 	rm -rf $(STAMP_DIR)
-	rm -rf .pc
 	dh_clean
 
 binary-indep:
